[vdr] error compiling vdr 1.7.7 (frontend.h - '__u8' does not name a type)

Tobi listaccount at e-tobi.net
Thu May 28 09:31:07 CEST 2009


bioh wrote:

> For the last few days I've been trying to compile vdr-1.7.7 on my debian 
> system,

You might want to give the already packaged version of VDR 1.7.7 a try:

http://e-tobi.net/vdrdevel-experimental/pool-lenny/source/vdr-standard/vdr_1.7.7-1devel1.dsc
http://e-tobi.net/vdrdevel-experimental/pool-lenny/source/vdr-standard/vdr_1.7.7-1devel1.diff.gz
http://e-tobi.net/vdrdevel-experimental/pool-lenny/source/vdr-standard/vdr_1.7.7.orig.tar.gz

It compiles with linux-libc-dev from Kernel 2.6.29 or later and it can
also make use of the DVB drivers from Igor Liplianins repository (with
some patches from Oliver Endriss):

http://e-tobi.net/vdr-experimental/pool-lenny/source/base/dvb-s2api-liplianin_0~2009-05-14.hg11804-2.dsc
http://e-tobi.net/vdr-experimental/pool-lenny/source/base/dvb-s2api-liplianin_0~2009-05-14.hg11804-2.diff.gz
http://e-tobi.net/vdr-experimental/pool-lenny/source/base/dvb-s2api-liplianin_0~2009-05-14.hg11804.orig.tar.gz

... which will gracefully replace the Kernels DVB/V4L driver (and restore
them when uninstalled).

Tobias



More information about the vdr mailing list